test-git-import: fake executable permissions.
authorPatrick Mezard <pmezard@gmail.com>
Mon, 06 Aug 2007 10:38:07 +0200
changeset 5073 4cd52978e188
parent 5072 7e2385a31933
child 5074 e86788af599a
test-git-import: fake executable permissions.
tests/test-git-import
--- a/tests/test-git-import	Mon Aug 06 10:26:04 2007 +0200
+++ b/tests/test-git-import	Mon Aug 06 10:38:07 2007 +0200
@@ -44,8 +44,12 @@
 copy to copyx
 EOF
 
-test -f copy -a ! -x copy || echo failed
-test -x copyx || echo failed
+if "$TESTDIR/hghave" -q execbit; then
+    test -f copy -a ! -x copy || echo failed
+    test -x copyx || echo failed
+else
+    test -f copy || echo failed
+fi
 cat copy
 hg cat copy